sticker.h File Reference

MPD client library. More...

Go to the source code of this file.

## Functions

bool | mpd_send_sticker_set (struct mpd_connection *connection, const char *type, const char *uri, const char *name, const char *value)
bool | mpd_run_sticker_set (struct mpd_connection *connection, const char *type, const char *uri, const char *name, const char *value)
bool | mpd_send_sticker_delete (struct mpd_connection *connection, const char *type, const char *uri, const char *name)
bool | mpd_run_sticker_delete (struct mpd_connection *connection, const char *type, const char *uri, const char *name)
bool | mpd_send_sticker_get (struct mpd_connection *connection, const char *type, const char *uri, const char *name)
bool | mpd_send_sticker_list (struct mpd_connection *connection, const char *type, const char *uri)
bool | mpd_send_sticker_find (struct mpd_connection *connection, const char *type, const char *base_uri, const char *name)
const char * | mpd_parse_sticker (const char *input, size_t *name_length_r)
mpd_malloc struct mpd_pair * | mpd_recv_sticker (struct mpd_connection *connection)
void | mpd_return_sticker (struct mpd_connection *connection, struct mpd_pair *pair)

## Detailed Description

MPD client library.

Manipulate stickers.

Do not include this header directly. Use mpd/client.h instead.

Definition in file sticker.h.

## Function Documentation

bool mpd_send_sticker_set | ( | struct mpd_connection * | connection,
|  | const char * | type,
|  | const char * | uri,
|  | const char * | name,
|  | const char * | value
| ) |  |

Adds or replaces a sticker value.

Parameters

  connection | the connection to MPD
  type | the object type, e.g. "song"
  uri | the URI of the object
  name | the name of the sticker
  value | the value of the sticker

Returns
  true on success, false on error

bool mpd_run_sticker_set | ( | struct mpd_connection * | connection,
|  | const char * | type,
|  | const char * | uri,
|  | const char * | name,
|  | const char * | value
| ) |  |

Shortcut for mpd_send_sticker_set() and mpd_response_finish().

Parameters

  connection | the connection to MPD
  type | the object type, e.g. "song"
  uri | the URI of the object
  name | the name of the sticker
  value | the value of the sticker

Returns
  true on success, false on error

bool mpd_send_sticker_delete | ( | struct mpd_connection * | connection,
|  | const char * | type,
|  | const char * | uri,
|  | const char * | name
| ) |  |

Deletes a sticker value.

Parameters

  connection | the connection to MPD
  type | the object type, e.g. "song"
  uri | the URI of the object
  name | the name of the sticker

Returns
  true on success, false on error

bool mpd_run_sticker_delete | ( | struct mpd_connection * | connection,
|  | const char * | type,
|  | const char * | uri,
|  | const char * | name
| ) |  |

Shortcut for mpd_send_sticker_delete() and mpd_response_finish().

Parameters

  connection | the connection to MPD
  type | the object type, e.g. "song"
  uri | the URI of the object
  name | the name of the sticker

Returns
  true on success, false on error

bool mpd_send_sticker_get | ( | struct mpd_connection * | connection,
|  | const char * | type,
|  | const char * | uri,
|  | const char * | name
| ) |  |

Queries a sticker value. Call mpd_recv_sticker() to receive the response.

Parameters

  connection | the connection to MPD
  type | the object type, e.g. "song"
  uri | the URI of the object
  name | the name of the sticker

Returns
  true on success, false on error

bool mpd_send_sticker_list | ( | struct mpd_connection * | connection,
|  | const char * | type,
|  | const char * | uri
| ) |  |

Obtains a list of all stickers of the specified object. Call mpd_recv_sticker() to receive each response item.

Parameters

  connection | the connection to MPD
  type | the object type, e.g. "song"
  uri | the URI of the object

Returns
  true on success, false on error

bool mpd_send_sticker_find | ( | struct mpd_connection * | connection,
|  | const char * | type,
|  | const char * | base_uri,
|  | const char * | name
| ) |  |

Searches for stickers with the specified name.

Parameters

  connection | the connection to MPD
  type | the object type, e.g. "song"
  base_uri | the base URI to start the search, e.g. a directory; NULL to search for all objects of the specified type
  name | the name of the sticker

Returns
  true on success, false on error

const char* mpd_parse_sticker | ( | const char * | input,
|  | size_t * | name_length_r
| ) |  |

Parse a sticker input line in the form "name=value".

Parameters

  input | the input value, the value from a received pair named "sticker"
  name_length_r | the length of the name (starting at the beginning of the input string) is returned here

Returns
  a pointer to the sticker value, or NULL on error

mpd_malloc struct mpd_pair* mpd_recv_sticker | ( | struct mpd_connection * | connection | ) |

Receives the next sticker. You have to free the return value with mpd_return_sticker().

Parameters

  connection | the connection to MPD

Returns
  a mpd_pair object on success, NULL on end of response or error

void mpd_return_sticker | ( | struct mpd_connection * | connection,
|  | struct mpd_pair * | pair
| ) |  |

Free the pair returned by mpd_recv_sticker().